| AOMedia AV1 Codec

intra_mode_search_utils.h File Reference

Defines utility functions used in intra mode search. More...

`#include "av1/common/enums.h"`
`#include "av1/common/pred_common.h"`
`#include "av1/common/reconintra.h"`
`#include "av1/encoder/encoder.h"`
`#include "av1/encoder/encodeframe.h"`
`#include "av1/encoder/model_rd.h"`
`#include "av1/encoder/palette.h"`
`#include "av1/encoder/hybrid_fwd_txfm.h"`

Go to the source code of this file.

## Functions
static int | intra_mode_info_cost_y (const AV1_COMP *cpi, const MACROBLOCK *x, const MB_MODE_INFO *mbmi, BLOCK_SIZE bsize, int mode_cost, int discount_color_cost)
| Returns the rate cost for luma prediction mode info of intra blocks.
static int | intra_mode_info_cost_uv (const AV1_COMP *cpi, const MACROBLOCK *x, const MB_MODE_INFO *mbmi, BLOCK_SIZE bsize, int mode_cost)
| Return the rate cost for chroma prediction mode info of intra blocks.
static int | model_intra_yrd_and_prune (const AV1_COMP *const cpi, MACROBLOCK *x, BLOCK_SIZE bsize, int64_t *best_model_rd)
| Estimate the luma rdcost of a given intra mode and try to prune it.

## Detailed Description

Defines utility functions used in intra mode search.

This includes rdcost estimations, histogram based pruning, etc.